Subject: Re: linux-next: workqueues tree build failure

From: Peter Ujfalusi <[email-masked]>
Date: Thu, 26 Nov 2009 13:44:31 +0200

On Thursday 26 November 2009 12:18:59 ext Mark Brown wrote:
> On Thu, Nov 26, 2009 at 11:31:15AM +0200, Peter Ujfalusi wrote:
> > For a quick fix, I can convert the tlv320dac33 driver to use this, and
> > revisit later, if it does not fulfill the timing requirements for the HW.
> 
> If there are problems then creating a dedicated thread you can wake
> would probably do the job.

For now I'm going to change the create_rt_workqueue to 
create_singlethread_workqueue, that is available at the wq.git of kernel.org.

If it is not sufficient, than I might use dedicated thread, which I woke up, but 
I would like to keep that as a backup plan, since it needs more work ;)

I'll send the patch in a few minutes.

-- 
Péter